From f8393e2308d7f91e15fc412848dd70157a68e29a Mon Sep 17 00:00:00 2001
From: Christoph Berg <myon@debian.org>
Date: Fri, 20 Jun 2025 14:12:38 +0200
Subject: [PATCH] pgxs.mk: Remove bogus PORTNAME=win rule

PORTNAME should be win32, but the file we are cleaning up never gets
created. The only reference to regress.def is removing the file.
This seems to have been wrong since 7a6b562fdf from 1999.
---
 src/makefiles/pgxs.mk | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/src/makefiles/pgxs.mk b/src/makefiles/pgxs.mk
index 0de3737e789..039cee3dfe5 100644
--- a/src/makefiles/pgxs.mk
+++ b/src/makefiles/pgxs.mk
@@ -376,10 +376,7 @@ endif
 ifdef REGRESS
 # things created by various check targets
 	rm -rf $(pg_regress_clean_files)
-ifeq ($(PORTNAME), win)
-	rm -f regress.def
 endif
-endif # REGRESS
 ifdef TAP_TESTS
 	rm -rf tmp_check/
 endif
-- 
2.47.2

